CREATE PROCEDURE SP_DROP_TABLE
AS 
BEGIN 
	  
	SET NOCOUNT ON;  
	  
	if exists (select * from sysobjects where id = object_id(N'C02RFM') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
		DROP TABLE C02RFM; 
	  
	if exists (select * from sysobjects where id = object_id(N'C03偍姪傔彜昳_屭媞枅') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C03偍姪傔彜昳_屭媞枅;  
	  
	if exists (select * from sysobjects where id = object_id(N'C04偍姪傔彜昳_RFM') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C04偍姪傔彜昳_RFM;  
	  
	if exists (select * from sysobjects where id = object_id(N'C05攧傟嬝彜昳_RFM') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C05攧傟嬝彜昳_RFM;  
	  
	if exists (select * from sysobjects where id = object_id(N'C06屭媞摦岦昞') and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
		DROP TABLE C06屭媞摦岦昞;
	  
	if exists (select * from sysobjects where id = object_id(N'C07屭媞摦岦昞_屭媞') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
		DROP TABLE C07屭媞摦岦昞_屭媞; 
	  
	if exists (select * from sysobjects where id = object_id(N'C08峸攦夞悢') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C08峸攦夞悢;  
	  
	if exists (select * from sysobjects where id = object_id(N'C09峸攦夞悢偺撪愊') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C09峸攦夞悢偺撪愊;  
	  
	if exists (select * from sysobjects where id = object_id(N'C10彜昳娫偺椶帡搙') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C10彜昳娫偺椶帡搙;  
	  
	if exists (select * from sysobjects where id = object_id(N'C11FM') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C11FM;  

	if exists (select * from sysobjects where id = object_id(N'C12TMP彜昳娫偺椶帡搙') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE C12TMP彜昳娫偺椶帡搙;  

	if exists (select * from sysobjects where id = object_id(N'H01斕攧棜楌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H01斕攧棜楌;  
	  
	if exists (select * from sysobjects where id = object_id(N'H02僐儞僞僋僩棜楌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H02僐儞僞僋僩棜楌;  
	  
	if exists (select * from sysobjects where id = object_id(N'H03憖嶌棜楌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H03憖嶌棜楌;  
	  
	if exists (select * from sysobjects where id = object_id(N'H04壠懓峔惉') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H04壠懓峔惉;

	if exists (select * from sysobjects where id = object_id(N'H05屭媞曗懌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H05屭媞曗懌;

	if exists (select * from sysobjects where id = object_id(N'H06PR棜楌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H06PR棜楌;

	if exists (select * from sysobjects where id = object_id(N'H07僾儘儌乕僔儑儞梊掕') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H07僾儘儌乕僔儑儞梊掕;

	if exists (select * from sysobjects where id = object_id(N'H08僾儘儌乕僔儑儞梊掕_懳徾峀崘') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H08僾儘儌乕僔儑儞梊掕_懳徾峀崘;

	if exists (select * from sysobjects where id = object_id(N'H09僾儘儌乕僔儑儞梊掕_懳徾彜昳') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H09僾儘儌乕僔儑儞梊掕_懳徾彜昳;

	if exists (select * from sysobjects where id = object_id(N'H10僾儘儌乕僔儑儞梊掕_懳徾屭媞') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H10僾儘儌乕僔儑儞梊掕_懳徾屭媞;

	if exists (select * from sysobjects where id = object_id(N'H11僾儘儌乕僔儑儞幚愌') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H11僾儘儌乕僔儑儞幚愌;

	if exists (select * from sysobjects where id = object_id(N'H12僾儘儌乕僔儑儞幚愌_懳徾峀崘') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE H12僾儘儌乕僔儑儞幚愌_懳徾峀崘;

	if exists (select * from sysobjects where id = object_id(N'M02彜昳') and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
		DROP TABLE M02彜昳;
	  
	if exists (select * from sysobjects where id = object_id(N'M03屭媞') and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
		DROP TABLE M03屭媞;
	  
	if exists (select * from sysobjects where id = object_id(N'M04懏惈') and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
		DROP TABLE M04懏惈;
	  
	if exists (select * from sysobjects where id = object_id(N'M05RFM寁嶼忦審') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE M05RFM寁嶼忦審;  
	  
	if exists (select * from sysobjects where id = object_id(N'M07僗僞僢僼') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE M07僗僞僢僼;
	  
	if exists (select * from sysobjects where id = object_id(N'M08僆乕僾儞壜擻夋柺') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE M08僆乕僾儞壜擻夋柺;  
	  
	if exists (select * from sysobjects where id = object_id(N'M09懏惈嬫暘') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE M09懏惈嬫暘;
	  
	if exists (select * from sysobjects where id = object_id(N'M10峀崘') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE M10峀崘;

	  
END